<section class="section">
    <div class="container">
        <div class="columns is-centered">
            <div class="column is-half">
                <form [formGroup]="nbForm" (ngSubmit)="nb()">
                    <div class="field">
                        <label class="label">Table de 1 jusqu'a:</label>
                        <div class="control">
                            <p [ngClass]="{ 'has-error': isSubmitted && badNombre}">
                                <input class="input is-success" formControlName="nombre" type="number"
                                    placeholder="nombre" min="2">
                            </p>
                            <div *ngIf="isSubmitted && badNombre" class="help-block">
                                <div *ngIf="badNombre">Un nombre supérieur à 1 est demandé !</div>
                            </div>
                        </div>
                    </div>
                    <div class="field is-grouped">
                        <div class="control">
                            <button class="button is-link">Valide</button>
                        </div>
                    </div>
                </form>
                <div *ngIf="table" class="help-block">
                    <div *ngIf="table">
                        <div class="container">
                            <table>
                                <thead>
                                    <br>
                                    <tr>
                                        <th>Table de {{nombre}} </th>
                                    </tr>
                                </thead>
                                <tbody>
                                    <tr *ngFor="let result of mul">
                                        <td>{{nombre}} x {{result.num}} =</td>
                                        <td>{{result.num * nombre}}</td>
                                    </tr>
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>